<?php

	include_once( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	include_once( PLOG_CLASS_PATH."plugins/feedreader/class/view/feedlistview.class.php" );

	/**
	 * main action that shows our list of links
	 */
	class FeedReaderAction extends AdminAction
	{
	
		function FeedReaderAction( $actionInfo, $request )
		{
			$this->AdminAction( $actionInfo, $request );
		}
		
		function perform()
		{
			$this->_categoryId = $this->_request->getValue( "showCategory", 0 );		
		
			$this->_view = new FeedListView( $this->_blogInfo, $this->_categoryId );
			$this->setCommonData();
			
			return true;
		}
	}
?>